
Then the first thing I saw was a vision of myself dead on my bed and the landlord coming in the door with his daughter. He vomited and she screamed when they saw me dead on my bed alone in the basement suite. Then I went through eye for eye and tooth for tooth punishment with each vision of my past. There were four visions. I felt a pain in my arm and saw a vision of me inflicting pain on my sister’s arm when she refused to give me back my diary she took from my bedroom. I was a teenager when that occurred.

Then I went into a tunnel and someone invisible held my hand. I lay on my back floating in the tunnel through different dimensions. I looked down in the dimension and saw black souls grinding and gnashing teeth fighting among themselves. They were in a small area near a hole where fires were so I assume they threw the people into the fire and they could only stand there in that small area. It was a grayish lit area. Then went to the next dimension and it was a reddish lit area. Then we went to the next dimension. It was an area where they put thoughts of earth into my mind, trying to distract me from going further to the next dimension. I believe that is where people become a spirit stuck on earth if they want to go back.

The next dimension was total darkness and I call that the waiting room. It is where you ask God for mercy and knock on heaven’s door. I was sobbing for Jesus and sobbing for God to help me. Then all of a sudden, I was in a bright golden light shining all around me and could see nothing but the golden light. Then the light parted and I saw clouds and people standing on the clouds. I thought that was the gates of heaven and that the people on the clouds were those who were assigned to welcome souls who made it through the tunnel. Then I was standing on a cloud and the cloud moved down to where a cloud with many people I didn't recognize were standing and a man with golden hair held out his hands. He magnetically pulled me to his cloud and then when our fingers touched I immediately was back in my body. Not fully back in my body, but back in my home. It took me days to be totally back in my body and I was feeling highly spiritual and not grounded.
